PropertyOwner (Message Queue, 5.1 API Specification)
Date: 2019-01-27

com.sun.messaging

## Interface PropertyOwner

-     public interface PropertyOwner

  The `PropertyOwner` interface is implemented by any property that owns other properties. The property type of this property is `com.sun.messaging.PropertyOwner`.

  Setting a property Type to `com.sun.messaging.PropertyOwner` indicates that dependant property information can be obtained from the class via the interface methods described below.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPropertyDefault(java.lang.String propname)` Returns the default value of a single owned property.
    `java.lang.String` | `getPropertyLabel(java.lang.String propname)` Returns the label of a single owned property.
    `java.lang.String[]` | `getPropertyNames()` Returns a String array of property names that this `PropertyOwner` owns.
    `java.lang.String` | `getPropertyType(java.lang.String propname)` Returns the type of a single owned property.

- - ### Method Detail

    - #### getPropertyNames

          java.lang.String[] getPropertyNames()

      Returns a String array of property names that this `PropertyOwner` owns.
      Returns:
        The String array of property names that this `PropertyOwner` owns.

    - #### getPropertyType

          java.lang.String getPropertyType(java.lang.String propname)

      Returns the type of a single owned property.
      Parameters:
        `propname` - The name of the owned property.
      Returns:
        The type of the owned property `propname`. `null` if the property `propname` is invalid.

    - #### getPropertyLabel

          java.lang.String getPropertyLabel(java.lang.String propname)

      Returns the label of a single owned property.
      Parameters:
        `propname` - The name of the owned property.
      Returns:
        The label of the owned property `propname`. `null` if the property `propname` is invalid.

    - #### getPropertyDefault

          java.lang.String getPropertyDefault(java.lang.String propname)

      Returns the default value of a single owned property.
      Parameters:
        `propname` - The name of the owned property.
      Returns:
        The default value of the owned property `propname`. `null` if the property `propname` is invalid.

Copyright (c) 2010, 2017 Oracle and/or its affiliates. All rights reserved.